Bug 177337 - yum.conf manual page information seems wrong
yum.conf manual page information seems wrong
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-01-09 15:26 EST by Jasper O. Hartline
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-26 16:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-01-09 15:26:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
I happen to be looking over a manual page and noticed it said "seconds" for a timeout value. The manual page is for yum.conf.

I think this is milliseconds, one because an ICMP echo request to www.google.com for example using the -A switch to ping, returns on average 30 milliseconds give or take 5 milliseconds, round trip.

Another reason I believe this value of "30" and "seconds" being a typo, is because I once helped a fellow on dialup, his yum was constantly failing, and we changed a timeout from the default to 90, this fixed the problem, he was on 256KBPS DSL.

I use a cable connection however, I don't see problems.
Thank you for your time, and if you could briefly explain the reason 30 seconds is the actual correct value.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. man yum.conf
2. timeout default says "30 seconds"

Additional info:

Comment 1 Seth Vidal 2006-01-11 02:20:37 EST
according to the socket.setdefaulttimeout docs in the python module it is in
seconds and since that is what yum is using, it is in seconds. reassigning this
to urlgrabber, just in case, though.

Note You need to log in before you can comment on or make changes to this bug.